### 多端融合开发
#### 1. 坑
1. 子组件调用父组件的方法
```html 
<child :click-handle="handleClick" />
``` 
> 子组件的this指向为子组件。

##### 解决这个问题需要使用 
```js 
this.$emit('handleClick', '参数'); 
```

2. 子组件样式问题，需要在common 文件中写样式
3. ide启动总是提示 ‘uni-app 自定义组件 components/RichText/index 建议移动到子包 pasb 内’，原因是启动了分包优化
```json
   "optimization" : {  
     "subPackages" : false//关闭分包优化  
  },  
```
4. hbuild发布微信小程序需要启动微信开发者工具

##### 表单配置

```json
{
  "userInfo.usrName": {
    "type": "string",
    "required": true,
    "message": "请填写姓名",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.tel": {
    "type": "string",
    "len": 11,
    "required": true,
    "message": "请填写11位手机号",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.email": {
    "type": "string",
    "required": false,
    "message": "请填写邮箱",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.orgUnitName": {
    "type": "string",
    "required": true,
    "message": "请填写单位名称",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.uniLevel": {
    "type": "string",
    "required": true,
    "message": "请填写职务",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.usrType": {
    "type": "string",
    "required": true,
    "message": "请填写人员类型",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.conferenceFlag": {
    "type": "string",
    "required": true,
    "message": "请选择是否参加现场调研",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.contentId": {
    "type": "number",
    "required": true,
    "message": "请选择会场",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.themeFlag": {
    "type": "string",
    "required": true,
    "message": "请选择是否参加主题研讨",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.themeId": {
    "type": "number",
    "required": true,
    "message": "请选择主题",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.wayComing": {
    "type": "string",
    "required": true,
    "message": "请选择来程交通方式",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.comInfo": {
    "type": "string",
    "required": true,
    "message": "请填写来程车次/航班",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.wayBack": {
    "type": "string",
    "required": true,
    "message": "返程交通方式",
    "trigger": [
      "blur",
      "change"
    ]
  },
  "userInfo.backInfo": {
    "type": "string",
    "required": true,
    "message": "请填写返程车次/航班",
    "trigger": [
      "blur",
      "change"
    ]
  }
}
```
